# module Prism::RegularExpressionFlags

Flags for regular expression and match last line nodes.

### Constants

ASCII_8BIT

  n - forces the ASCII-8BIT encoding

EUC_JP

  e - forces the EUC-JP encoding

EXTENDED

  x - ignores whitespace and allows comments in regular expressions

FORCED_BINARY_ENCODING

  internal bytes forced the encoding to binary

FORCED_US_ASCII_ENCODING

  internal bytes forced the encoding to US-ASCII

FORCED_UTF8_ENCODING

  internal bytes forced the encoding to UTF-8

IGNORE_CASE

  i - ignores the case of characters when matching

MULTI_LINE

  m - allows $ to match the end of lines within strings

ONCE

  o - only interpolates values into the regular expression once

UTF_8

  u - forces the UTF-8 encoding

WINDOWS_31J

  s - forces the Windows-31J encoding